Page MenuHomePhabricator

Query error in ApiOpenSearch::search
Closed, ResolvedPublic

Description

Tue Dec 9 22:06:43 UTC 2014 mw1132 enwiktionary ApiOpenSearch::search 10.64.32.30 1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near ')' at line 1 (10.64.32.30) SELECT page_namespace,page_title,rd_namespace,rd_title FROM page,redirect WHERE (rd_from = page_id) AND (rd_interwiki IS NULL OR rd_interwiki = '') AND ()

Details

Event Timeline

Reedy created this task.Dec 9 2014, 10:08 PM
Reedy assigned this task to Anomie.
Reedy raised the priority of this task from to Needs Triage.
Reedy updated the task description. (Show Details)
Reedy changed Security from none to None.
Reedy added a subscriber: Reedy.

Change 178667 had a related patch set uploaded (by Anomie):
API: Don't use an empty LinkBatch in ApiOpenSearch

https://gerrit.wikimedia.org/r/178667

Patch-For-Review

Change 178668 had a related patch set uploaded (by Reedy):
API: Don't use an empty LinkBatch in ApiOpenSearch

https://gerrit.wikimedia.org/r/178668

Patch-For-Review

Change 178667 merged by jenkins-bot:
API: Don't use an empty LinkBatch in ApiOpenSearch

https://gerrit.wikimedia.org/r/178667

Change 178668 merged by jenkins-bot:
API: Don't use an empty LinkBatch in ApiOpenSearch

https://gerrit.wikimedia.org/r/178668

Legoktm closed this task as Resolved.Dec 10 2014, 1:47 AM
Legoktm added a subscriber: Legoktm.
Anomie reopened this task as Open.Dec 15 2014, 4:08 PM

Found another code path giving this same error. Rather than filing a nearly-identical bug, let's just reopen.

Change 179938 had a related patch set uploaded (by Anomie):
API: Don't use an empty LinkBatch in ApiOpenSearch, part 2.

https://gerrit.wikimedia.org/r/179938

Patch-For-Review

Change 179938 merged by jenkins-bot:
API: Don't use an empty LinkBatch in ApiOpenSearch, part 2.

https://gerrit.wikimedia.org/r/179938

Umherirrender closed this task as Resolved.Dec 15 2014, 6:31 PM
Umherirrender added a subscriber: Umherirrender.
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Dec 15 2014, 10:26 PM